# Uses of Class
net.shibboleth.idp.attribute.filter.policyrule.filtercontext.impl.PrincipalNameRegexpPolicyRule

Packages that use PrincipalNameRegexpPolicyRule
Package
Description
net.shibboleth.idp.attribute.filter.spring.policyrule.impl
This is where the parsers for filters that are natural policy rules (that is to make their decisions based on the context, not the attribute values are implemented.

## Uses of PrincipalNameRegexpPolicyRule in net.shibboleth.idp.attribute.filter.spring.policyrule.impl

Methods in net.shibboleth.idp.attribute.filter.spring.policyrule.impl that return types with arguments of type PrincipalNameRegexpPolicyRule
Modifier and Type
Method
Description
`protected Class<PrincipalNameRegexpPolicyRule>`
PrincipalNameRegexRuleParser.`getNativeBeanClass()`
Method return the native Matcher implementation.